<?php
    
    namespace app\controllers;
    
    use app\models\Subscribe;
    use yii\web\Controller;
    use yii\filters\VerbFilter;
    
    class SiteController extends Controller
    {
        public $enableCsrfValidation = false;
        
        /**
         * {@inheritdoc}
         */
        public function behaviors()
        {
            return [
                'verbs' => [
                    'class'   => VerbFilter::className(),
                    'actions' => [
                        'logout'    => [ 'post' ],
                        'subscribe' => [ 'post' ],
                    ],
                ],
            ];
        }
        
        public function actionSubscribe()
        {
            if (\Yii::$app->request->isPost) {
                $model = new Subscribe();
                $model->load(\Yii::$app->request->post(), '');
                $model->time = time();
                $model->domain = \Yii::$app->request->getHostInfo();
                
                if ($model->save()) {
                    return true;
                } else {
                    \Yii::error('Subscribtion didnt saved');
                    
                    return false;
                }
            }
        }
        
        /**
         * Displays homepage.
         *
         * @return string
         */
        public function actionIndex()
        {
            return $this->render('index');
        }
    }
